# Class JIAApi

#### Hierarchy (View Summary)

- JBaseApi
  - JIAApi

- Defined in jamespot-user-api/src/apis/jia/jia.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

textEnhancement

## Constructors

### constructor

- new JIAApi(jApi: JamespotUserApi): JIAApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JIAApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### textEnhancement

- textEnhancement(
  __namedParameters: {
  capacity?:
  | "es"
  | "en"
  | "summarize"
  | "develop"
  | "reformulate"
  | "tldr"
  | "formal"
  | "funny"
  | "spellCheck";
  text?: string;
  },
  ): Promise<ApiWrapper<TextEnhanceResponse, BaseMessages>>

  #### Parameters

  - __namedParameters: {
    capacity?:
    | "es"
    | "en"
    | "summarize"
    | "develop"
    | "reformulate"
    | "tldr"
    | "formal"
    | "funny"
    | "spellCheck";
    text?: string;
    }

  #### Returns Promise<ApiWrapper<TextEnhanceResponse, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/jia/jia.ts:7